org.apache.synapse.mediators.spring

## Class SpringMediatorSerializer

- java.lang.Object
- - org.apache.synapse.config.xml.AbstractMediatorSerializer
  - - org.apache.synapse.mediators.spring.SpringMediatorSerializer

- All Implemented Interfaces:
    org.apache.synapse.config.xml.MediatorSerializer

      public class SpringMediatorSerializer
      extends org.apache.synapse.config.xml.AbstractMediatorSerializer

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.config.xml.AbstractMediatorSerializer

      `DESCRIPTION_Q, fac, log, nullNS, PROP_Q, synNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringMediatorSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMediatorClassName()`
    `org.apache.axiom.om.OMElement` | `serializeSpecificMediator(org.apache.synapse.Mediator m)`

    - ### Methods inherited from class org.apache.synapse.config.xml.AbstractMediatorSerializer

      `handleException, handleException, saveTracingState, serializeComments, serializeComments, serializeMediator, serializeMediatorProperties, serializeMediatorProperties, serializeNamespaces, serializeProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringMediatorSerializer

          public SpringMediatorSerializer()

  - ### Method Detail

    - #### serializeSpecificMediator

          public org.apache.axiom.om.OMElement serializeSpecificMediator(org.apache.synapse.Mediator m)

      Specified by:
        `serializeSpecificMediator` in class `org.apache.synapse.config.xml.AbstractMediatorSerializer`

    - #### getMediatorClassName

          public String getMediatorClassName()

Copyright © 2005–2017 Apache Software Foundation. All rights reserved.